{ pkgs, ... }:

{
  programs.zed-editor = {
    enable = true;
    package = pkgs.unstable.zed-editor;
    extensions = [
      "html"
      "catppuccin"
      "catppuccin-icons"
      "toml"
      "nix"
      "git-firefly"
    ];
    userSettings =
      let
        theme = import ../../theme.nix;
        font = "${theme.nerdFont} Nerd Font";
        fontSize = 14;
      in
      {
        autosave = "on_focus_change";
        base_keymap = "JetBrains";
        buffer_font_family = font;
        icon-theme = "Catppuccin Mocha"; # TODO doesn't work?
        ui_font_family = font;
        ui_font_size = fontSize;
        buffer_font_size = fontSize;
        tabs = {
          file_icons = true;
          git_status = true;
        };
        theme = {
          mode = theme.mode;
          light = "Catppuccin Latte";
          dark = "Catppuccin Mocha";
        };
        lsp.nil.initialization_options.formatting.command = [ "nixfmt" ];
      };
  };
}
